Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418044 - cdn-sync should notice when its satellite is NOT pointing to redhat.com
Summary: cdn-sync should notice when its satellite is NOT pointing to redhat.com
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 580
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Gennadii Altukhov
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks: 465198 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-31 16:57 UTC by Gennadii Altukhov
Modified: 2017-06-21 12:13 UTC (History)
11 users (show)

Fixed In Version: spacewalk-backend-2.5.3-63-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1413788
Environment:
Last Closed: 2017-06-21 12:13:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gennadii Altukhov 2017-01-31 16:57:32 UTC
+++ This bug was initially created as a clone of Bug #1413788 +++


Pre-cdn-sync, we can only get content one way, which is using satellite-sync. satellite-sync can only get its content from one place, which is server.satellite.rhn_parent.

With cdn-sync, we've opened the door to getting content in *two* ways - satellite-sync (ISS), and cdn-sync (from Red Hat). I think we need to teach cdn-sync to notice when its satellite is NOT pointing to redhat.com, and either a) refuse to work in that case, or b) require a specific override option to grab content from the CDN. Otherwise, we're potentially letting the customer break their desired ISS topology.

This would be its own BZ, I think - because it's going to require some thought, and code-changes. I'm suggesting that Gennadii open a new 5.8-GA BZ for that work, while making the changes for 1) and 2) under this BZ.

Comment 2 Gennadii Altukhov 2017-02-14 15:38:09 UTC
fixed in upstream, spacewalk.git:
0ee0fba648d2d15dca6d2539b45e3c23348fb133

Comment 5 Pavel Studeník 2017-03-23 12:33:43 UTC
Verified spacewalk-backend-cdn-2.5.3-87.el6sat.noarch

1) disconnected mode
>> cdn-sync -l
ERROR: the Satellite server is installed in disconnected mode, cannot continue syncing from CDN
>> echo $?
1

2) incorect cdn_root 
>> cdn-sync --count-packages
Exception: SYNC ERROR: attempting to display as much information as possible
 Error parsing "mirrorlist = '"example.com"/content/beta/rhel/server/6/6Server/i386/oracle-java/os'": URL must be http, ftp, file or https not ""
>> echo $?
1

3) set ISS
>> cdn-sync --count-packages
ERROR: the Satellite server is registered to a parent Satellite "satellite.localhost".
To sync content from the parent Satellite via Inter-Satellite-Sync, please, use the "satellite-sync" command
>> echo $?
1

4) disable_iss=1
>> # cdn-sync --count-packages
14:29:42 Number of channels: 1331
14:29:42 Number of repositories: 1505
....


Note You need to log in before you can comment on or make changes to this bug.